org.jboss.logging

## Annotation Type Message

Deprecated.
Use org.jboss.logging.annotations.Message provided in module org.jboss.logging:jboss-logging-annotations

    @Target(value=METHOD)
     @Retention(value=CLASS)
     @Documented
     @Deprecated
    public @interface Message

Assigns a message string to a resource method. The method arguments are used to supply the positional parameter values for the method.

Author:
  David M. Lloyd

### Field Summary

Fields
`static int` `INHERIT` Deprecated. Indicates that this message should inherit the ID from another message with the same name.
`static int` `NONE` Deprecated. Indicates that this message has no ID.

### Required Element Summary

Required Elements
`String` `value` Deprecated. The default format string of this message.

### Optional Element Summary

Optional Elements
`Message.Format` `format` Deprecated. The format type of this method (defaults to `Message.Format.PRINTF`).
`int` `id` Deprecated. The message ID number.

### Field Detail

#### NONE

    public static final int NONE

Deprecated.
Indicates that this message has no ID.

#### INHERIT

    public static final int INHERIT

Deprecated.
Indicates that this message should inherit the ID from another message with the same name.

### Element Detail

#### value

    public abstract String value

Deprecated.
The default format string of this message.

Returns:
  the format string

#### id

    public abstract int id

Deprecated.
The message ID number. Only one message with a given name may specify an ID other than `INHERIT`.

Returns:
  the message ID number

Default:
  -1

#### format

    public abstract Message.Format format

Deprecated.
The format type of this method (defaults to `Message.Format.PRINTF`).

Returns:
  the format type

Default:
  org.jboss.logging.Message.Format.PRINTF